<template>
  <div v-if="!currentDownLoad">Loading Download</div>
  <div v-if="currentDownLoad" class="list">
    <h1>Your Download</h1>
    <div>{{ currentDownLoad.id }}</div>
    <div v-if="!currentDownLoad?.filename"><Skeleton width="10rem" class="mb-2"></Skeleton></div>
    <div v-if="currentDownLoad?.filename">
      <a :href="getFileUrl(currentDownLoad?.filename)" target="_blank">{{ currentDownLoad?.description }}</a>
    </div>
  </div>
</template>

<script setup lang="ts">
import { useJokesStore } from "@/stores/jokes";
import { storeToRefs } from "pinia";
import { onMounted } from "vue";
import { useRoute, useRouter } from "vue-router";
import { getFileUrl } from "@/utils/helpers";
const route = useRoute();
const router = useRouter();
const jokesStore = useJokesStore();
const { currentDownLoad } = storeToRefs(jokesStore);

onMounted(() => {
  const id = route.params.id;
  if (!id) router.push("/");
  if (!currentDownLoad || !currentDownLoad.value) {
    jokesStore.fetchDownload(id as string);
  }
});
</script>

<style>
@media (min-width: 1024px) {
  .about {
    min-height: 100vh;
    display: flex;
    align-items: center;
  }
}
</style>
